Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class PropertyPathStep

    java.lang.Object
      org.deegree.ogcbase.PropertyPathStep

Direct Known Subclasses:
  AnyStep, AttributeStep, ElementStep, IndexStep

    public abstract class PropertyPathStep

extends Object

Represents one step of a `PropertyPath`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  `PropertyPath`

Field Summary
`protected QualifiedName` | `propertyName`

Constructor Summary
`PropertyPathStep(QualifiedName propertyName)` Creates a new instance of `PropertyPathStep` that selects the property with the given name.

Method Summary
`QualifiedName` | `getPropertyName()` Returns the name of the selected property.
`int` | `hashCode()`
`void` | `setPropertyName(QualifiedName propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyName

    protected QualifiedName propertyName

Constructor Detail

### PropertyPathStep

    PropertyPathStep(QualifiedName propertyName)

  Creates a new instance of `PropertyPathStep` that selects the property with the given name.

  Parameters:
    `propertyName` -

Method Detail

### getPropertyName

    public QualifiedName getPropertyName()

  Returns the name of the selected property.

  Returns:
    the name of the property

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### setPropertyName

    public void setPropertyName(QualifiedName propertyName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org